Loading...
Searching...
No Matches
deux.c File Reference

Partie 2 de la SAE 1.02. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include "deux.h"`
`#include "../III/trois.c"`
Include dependency graph for deux.c:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

Candidat * | creerCandidat (void)
| Alloue de la mémoire de la taille d'une structure Candidat avec un malloc. More...
Candidature * | creerCandidature (void)
| Alloue de la mémoire de la taille d'une structure Candidature avec un malloc avec les valeurs par défaut à 0 pour les variables décision & validation. More...
void | ajouterCandidat (ListeCandidats *listePointer, int *nbCandidats, Candidat *candidat)
| Ajoute l'adresse du candidat dans le tableau de pointeur "liste". More...
void | ajouterCandidature (Candidat *candidat, Candidature *candidature)
| Ajoute une candidature dans la liste des candidatures associées au candidat correspondant dans les paramètres de la fonction. More...
void | menuCandidat_candidater (VilleIUT **tiut, int nbVilles, Candidat *candidat)
| Permet au candidat de déposer une candidature. More...
int | checkCandidature (Candidat *candidat, Candidature candid)
| Verifie si la candidature à ajouter n'existe pas déjà More...
void | afficherListeCandidats (ListeCandidats liste, int nbCandidats)
| Affiche tous les candidats triés par nom. More...
void | afficherCandidat (Candidat *candidat)
| Affiche un candidat précis. More...
void | afficherCandidatures (ListeCandidatures candidatures, int nbCandidatures)
| Affiche récursivement toutes les candidatures d'un seul candidat. More...
ListeCandidats | readCandidats (int *nbCandidats)
| Lit la liste des candidats dans le fichier texte candidats.don puis les met dans la structure ListeCandidats. More...
int | compareCandidats (const void *p1, const void *p2)
| Compare deux candidats suivant l'ordre alphabetique. More...
int | saveCandidats (ListeCandidats liste, int nbCandidats)
| Enregistre la liste des candidats dans le fichier texte candidats.don. More...
int | readStatus (void)
| Lis le status actuel de la phase de candidature (0 si la phase est arrêtée et 1 si elle est lancée) More...
void | saveStatus (int status)
| Enregistre sur le fichier texte status.don le status actuel de la phase de candidature (0 si la phase est arrêtée et 1 si elle est lancée) More...

## Detailed Description

Partie 2 de la SAE 1.02.

Author
  GOIGOUX Lucie & JEUDI–LEMOINE Alix

Date
  23/12/22

Application de gestion des candidature dans les IUT de France

Definition in file deux.c.

## Function Documentation

## afficherCandidat()

void afficherCandidat | ( | Candidat * | candidat | ) |

Affiche un candidat précis.

Parameters

  candidat | Adresse du candidat que l'utilisateur choisi d'afficher

Definition at line 149 of file deux.c.

Here is the caller graph for this function:

## afficherCandidatures()

void afficherCandidatures | ( | ListeCandidatures | candidatures,
|  | int | nbCandidatures
| ) |  |

Affiche récursivement toutes les candidatures d'un seul candidat.

Parameters

  candidatures | Tableau de pointeur sur les candidatures d'un candidat
  nbCandidatures | Nombre de candidatures du candidat

Definition at line 160 of file deux.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## afficherListeCandidats()

void afficherListeCandidats | ( | ListeCandidats | liste,
|  | int | nbCandidats
| ) |  |

Affiche tous les candidats triés par nom.

Parameters

  liste | Tableau de pointeur sur la structure Candidat
  nbCandidats | Nombre de candidats dans la liste des candidats

Definition at line 125 of file deux.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ajouterCandidat()

void ajouterCandidat | ( | ListeCandidats * | listePointer,
|  | int * | nbCandidats,
|  | Candidat * | candidat
| ) |  |

Ajoute l'adresse du candidat dans le tableau de pointeur "liste".

Parameters

  listePointer | Adresse du tableau de pointeur sur la structure Candidat
  nbCandidats | Adresse de la variable contenant le nombre de candidats
  candidat | Adresse du Candidat à ajouter

Definition at line 42 of file deux.c.

Here is the caller graph for this function:

## ajouterCandidature()

void ajouterCandidature | ( | Candidat * | candidat,
|  | Candidature * | candidature
| ) |  |

Ajoute une candidature dans la liste des candidatures associées au candidat correspondant dans les paramètres de la fonction.

Parameters

  candidat | Adresse du candidat dont on veut ajouter une candidature
  candidature | Adresse de la candidature à ajouter

Definition at line 57 of file deux.c.

Here is the caller graph for this function:

## checkCandidature()

int checkCandidature | ( | Candidat * | candidat,
|  | Candidature | candid
| ) |  |

Verifie si la candidature à ajouter n'existe pas déjà

Parameters

  candidat | Adresse du candidat auquel on veut ajouter une candidature
  candidature | Candidature à vérifier

Returns
  Retourne -1 si la candidature existe déjà et 0 sinon

Definition at line 114 of file deux.c.

Here is the caller graph for this function:

## compareCandidats()

int compareCandidats | ( | const void * | c1,
|  | const void * | c2
| ) |  |

Compare deux candidats suivant l'ordre alphabetique.

Parameters

  c1 | Candidat 1
  c2 | Candidat 2

Returns
  <0 si le candidat 1 est avant le candidat 2 dans l'ordre alphabetique, >0 si le candidat 2 est avant le candidat 1 dans l'ordre alphabetique et 0 si ils sont homonymes

Definition at line 323 of file deux.c.

Here is the caller graph for this function:

## creerCandidat()

Candidat * creerCandidat | ( | void |  | ) |

Alloue de la mémoire de la taille d'une structure Candidat avec un malloc.

Returns
  Retourne l'adresse générée par le malloc

Definition at line 18 of file deux.c.

Here is the caller graph for this function:

## creerCandidature()

Candidature * creerCandidature | ( | void |  | ) |

Alloue de la mémoire de la taille d'une structure Candidature avec un malloc avec les valeurs par défaut à 0 pour les variables décision & validation.

Returns
  Retourne l'adresse générée par le malloc

Definition at line 29 of file deux.c.

Here is the caller graph for this function:

## menuCandidat_candidater()

void menuCandidat_candidater | ( | VilleIUT ** | tiut,
|  | int | nbVilles,
|  | Candidat * | candidat
| ) |  |

Permet au candidat de déposer une candidature.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes ayant un IUT
  candidat | Adresse du candidat qui veut déposer une candidature

Definition at line 63 of file deux.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## readCandidats()

ListeCandidats readCandidats | ( | int * | nbCandidats | ) |

Lit la liste des candidats dans le fichier texte candidats.don puis les met dans la structure ListeCandidats.

Parameters

  nbCandidats | Adresse de la variable qui va contenir le nombre de candidats dans le fichier candidats.don

Returns
  Renvoie la liste des candidats

Definition at line 263 of file deux.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## readStatus()

int readStatus | ( | void |  | ) |

Lis le status actuel de la phase de candidature (0 si la phase est arrêtée et 1 si elle est lancée)

Returns
  Retourne le status actuel de la phase de candidature

Definition at line 376 of file deux.c.

Here is the caller graph for this function:

## saveCandidats()

int saveCandidats | ( | ListeCandidats | liste,
|  | int | nbCandidats
| ) |  |

Enregistre la liste des candidats dans le fichier texte candidats.don.

Parameters

  liste | Tableau de pointeur sur la structure Candidat
  nbCandidats | Nombre de candidats dans la liste des candidats

Returns
  Renvoie -1 si il y a eu un problème de lecture du fichier et 0 si tout s'est bien passé

Definition at line 337 of file deux.c.

Here is the caller graph for this function:

## saveStatus()

void saveStatus | ( | int | status | ) |

Enregistre sur le fichier texte status.don le status actuel de la phase de candidature (0 si la phase est arrêtée et 1 si elle est lancée)

Parameters

  status | le status actuel de la phase de candidature

Definition at line 393 of file deux.c.

Here is the caller graph for this function: